Debian Bug report logs - #724666
live-config: Removing kwalletd.desktop file makes kwallet unusable.

version graph

Package: live-config; Maintainer for live-config is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-config is src:live-config.

Reported by: Debian Live user <didi.debian@cknow.org>

Date: Thu, 26 Sep 2013 11:33:02 UTC

Severity: normal

Tags: patch

Found in versions live-config/4.0~a27-1, live-config/3.0.23-1

Fixed in version live-config/4.0~alpha28-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#724666; Package live-config. (Thu, 26 Sep 2013 11:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian Live user <didi.debian@cknow.org>:
New Bug report received and forwarded. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Thu, 26 Sep 2013 11:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Debian Live user <didi.debian@cknow.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-config: Removing kwalletd.desktop file makes kwallet unusable.
Date: Thu, 26 Sep 2013 11:28:31 +0000
Package: live-config
Version: 3.0.23-1
Severity: grave
Tags: patch
Justification: renders package unusable

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
	Trying to create a wallet to store my passwords.
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
	- Started kwalletmanager and choosing File -> New wallet ...
	- Provided a name and then nothing happened.
   * What was the outcome of this action?
	No wallet was created and therefor couldn't use it's functionality.
   * What outcome did you expect instead?
	That a wallet was created and I could store my passwords in it.
	If you would install ksshaskpass package that wouldn't work either, 
	but it doesn't work on the standard kde image downloaded from either
	cdimage.debian.org or the newer one on live.debian.net (or a custom 
	created image).

This bug is reported from the image downloaded at:
http://live.debian.net/cdimage/release/stable+nonfree/i386/iso-hybrid/debian-live-7.1-i386-kde-desktop+nonfree.iso


To figure out what went wrong I started kwalletmanager from the command line and
this is the output of it:
user@debian:~$ kwalletmanager &
[1] 4758
user@debian:~$ QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
QDBusConnection: session D-Bus connection created before QCoreApplication. Application may misbehave.
kwalletmanager(4759)/kdeui (Wallet): Couldn't start kwalletd:  "Could not find service 'kwalletd.desktop'." 

kwalletmanager(4759)/kdeui (Wallet): Couldn't start kwalletd:  "Could not find service 'kwalletd.desktop'." 

Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
^C
[1]+  Done                    kwalletmanager


Patch section:
- if you download the kde-runtime-data package and install the debfile with 'dpkg -i <debfile>'
  the problem is resolved.
- Reinstalling the kde-runtime-data would also fix this.

With the help of the people on #debian-kde we tracked down the source of the problem:
http://sources.debian.net/src/live-config/3.0.23-1/scripts/config/1060-kde-services?hl=68#L68
This error is also present in live-config version 4.0~a27-1:
http://sources.debian.net/src/live-config/4.0~a27-1/components/1060-kde-services?hl=71#L71

It would be my suggestion to remove all those line 'disabling unnecessary KDE services' since
they are NOT unnecessary, break functionality in KDE and in case of those which should prevent 
akonadi from starting both ineffective (akonadi is started anyway) and unwanted since akonadi is
an important part of the KDE(-PIM) infrastructure.

Removing those files/services is also against the philosophy of Debian Live as described in 
section 2.2.1 from the manual, especially this part:
"We will not change any packages. Whenever we need to change something, we will
do that in coordination with its package maintainer in Debian."

If you have any questions or want more information, feel free to ask.


Regards,
  Diederik

-- System Information:
Debian Release: 7.1
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-config depends on:
ii  live-config-sysvinit [live-config-backend]  3.0.23-1

Versions of packages live-config recommends:
ii  console-tools           1:0.2.3dbs-70
ii  iproute                 20120521-3+b3
ii  keyboard-configuration  1.88
ii  live-config-doc         3.0.23-1
ii  live-tools              3.0.20-1
ii  locales                 2.13-38
ii  sudo                    1.8.5p2-1+nmu1
ii  user-setup              1.48

Versions of packages live-config suggests:
ii  pciutils  1:3.1.9-6
ii  wget      1.13.4-3

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Live Systems Maintainers <debian-live@lists.debian.org>:
Bug#724666; Package live-config. (Thu, 26 Sep 2013 18:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diederik de Haas <didi.debian@cknow.org>:
Extra info received and forwarded to list. Copy sent to Live Systems Maintainers <debian-live@lists.debian.org>. (Thu, 26 Sep 2013 18:00:04 GMT) Full text and rfc822 format available.

Message #10 received at 724666@bugs.debian.org (full text, mbox):

From: Diederik de Haas <didi.debian@cknow.org>
To: 724666@bugs.debian.org, control@bugs.debian.org
Subject: Lowering severity
Date: Thu, 26 Sep 2013 19:57:15 +0200
[Message part 1 (text/plain, inline)]
severity 724666 normal
thanks

Lowering the severity since it doesn't make live-config unusable.
It does make kwallet unusable (which caused me to choose grave) and thereby a 
major effect on the usability of the resulting KDE image(s).

-- 
GPG: 0x138E41915C7EFED6
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'grave' Request was from Diederik de Haas <didi.debian@cknow.org> to control@bugs.debian.org. (Thu, 26 Sep 2013 18:00:07 GMT) Full text and rfc822 format available.

Marked as found in versions live-config/4.0~a27-1. Request was from Diederik de Haas <didi.debian@cknow.org> to control@bugs.debian.org. (Fri, 27 Sep 2013 07:06:09 GMT) Full text and rfc822 format available.

Marked as fixed in versions live-config/4.0~alpha28-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 17 Oct 2013 08:27:08 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Thu, 17 Oct 2013 08:27:09 GMT) Full text and rfc822 format available.

Notification sent to Debian Live user <didi.debian@cknow.org>:
Bug acknowledged by developer. (Thu, 17 Oct 2013 08:27:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:41:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.